import { EventEmitter } from '@angular/core';
import { CalendarUtils } from './calendar-utils.provider';
/**
 * Change the view date to the next view. For example:
 *
 * ```typescript
 * <button
 *  mwlCalendarNextView
 *  [(viewDate)]="viewDate"
 *  [view]="view">
 *  Next
 * </button>
 * ```
 */
export declare class CalendarNextViewDirective {
    private calendarUtils;
    /**
     * The current view
     */
    view: string;
    /**
     * The current view date
     */
    viewDate: Date;
    /**
     * Called when the view date is changed
     */
    viewDateChange: EventEmitter<Date>;
    constructor(calendarUtils: CalendarUtils);
    /**
     * @hidden
     */
    onClick(): void;
}
