import { EventEmitter } from '@angular/core';
import { CalendarUtils } from './calendar-utils.provider';
/**
 * Change the view date to the current day. For example:
 *
 * ```typescript
 * <button
 *  mwlCalendarToday
 *  [(viewDate)]="viewDate">
 *  Today
 * </button>
 * ```
 */
export declare class CalendarTodayDirective {
    private calendarUtils;
    /**
     * The current view date
     */
    viewDate: Date;
    /**
     * Called when the view date is changed
     */
    viewDateChange: EventEmitter<Date>;
    constructor(calendarUtils: CalendarUtils);
    /**
     * @hidden
     */
    onClick(): void;
}
